package com.io.yutian.elementoriginlib.command.interfaces;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface SubCommand {

    String value() default "";

    String permission() default "command.elementoriginlib.default";

    String[] senderRequire() default { "console", "player" };

    boolean nodal() default false;

}
