package com.io.yutian.elementoriginlib.tag;

public class TagByte extends TagNumber {

    public static byte TYPE_ID = 1;

    private byte value;

    public TagByte(byte value) {
        this.value = value;
    }

    public TagByte() {
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public long getLong() {
        return this.value;
    }

    @Override
    public int getInt() {
        return this.value;
    }

    @Override
    public short getShort() {
        return this.value;
    }

    @Override
    public byte getByte() {
        return this.value;
    }

    @Override
    public double getDouble() {
        return this.value;
    }

    @Override
    public float getFloat() {
        return this.value;
    }

    public static TagByte a(boolean var0) {
        return var0 ? new TagByte((byte) 1) : new TagByte((byte) 0);
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        TagByte tagByte = (TagByte) o;
        return value == tagByte.value;
    }

    @Override
    public int hashCode() {
        return value;
    }

    @Override
    public String toString() {
        return "NBTByte{" +
                "value=" + value +
                '}';
    }

}
