package com.io.yutian.elementoriginlib.tag;

import java.util.Objects;

public class TagString implements ITag {

    public static byte TYPE_ID = 8;

    private String value;

    public TagString(String value) {
        this.value = value;
    }

    public TagString() {
    }

    public String getString() {
        return this.value;
    }

    @Override
    public Object getValue() {
        return this.value;
    }

    @Override
    public byte getTypeId() {
        return TYPE_ID;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        TagString tagString = (TagString) o;
        return Objects.equals(value, tagString.value);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(value);
    }

    @Override
    public String toString() {
        return "NBTString{" +
                "value='" + value + '\'' +
                '}';
    }
}
